<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.exceptions package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.exceptions.application package" href="sagace.exceptions.application.html" />
    <link rel="prev" title="sagace.core.storage package" href="sagace.core.storage.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-exceptions-package">
<h1>sagace.exceptions package<a class="headerlink" href="#sagace-exceptions-package" title="Link to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="sagace.exceptions.application.html">sagace.exceptions.application package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.application.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.application.html#module-sagace.exceptions.application.application_error">sagace.exceptions.application.application_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.application.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.application.html#sagace.exceptions.application.application_error.ApplicationError"><code class="docutils literal notranslate"><span class="pre">ApplicationError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.application.html#module-sagace.exceptions.application">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.application.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.exceptions.domain.html">sagace.exceptions.domain package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.api_request_error">sagace.exceptions.domain.api_request_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.api_request_error.APIRequestError"><code class="docutils literal notranslate"><span class="pre">APIRequestError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.domain_error">sagace.exceptions.domain.domain_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#id1">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.domain_error.DomainError"><code class="docutils literal notranslate"><span class="pre">DomainError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.permission_denied_error">sagace.exceptions.domain.permission_denied_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#module-permission-errors">Module: Permission Errors</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.permission_denied_error.PermissionDeniedError"><code class="docutils literal notranslate"><span class="pre">PermissionDeniedError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain.token_expired_error">sagace.exceptions.domain.token_expired_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#module-token-expiration-error">Module: Token Expiration Error</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#sagace.exceptions.domain.token_expired_error.TokenExpiredError"><code class="docutils literal notranslate"><span class="pre">TokenExpiredError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.domain.html#module-sagace.exceptions.domain">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.domain.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.exceptions.infrastructure.html">sagace.exceptions.infrastructure package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.infrastructure.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.authentication_error">sagace.exceptions.infrastructure.authentication_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-authentication-errors">Module: Authentication Errors</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.authentication_error.AuthenticationFailedError"><code class="docutils literal notranslate"><span class="pre">AuthenticationFailedError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure.infrastructure_error">sagace.exceptions.infrastructure.infrastructure_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-infrastructure-errors">Module: Infrastructure Errors</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError"><code class="docutils literal notranslate"><span class="pre">InfrastructureError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.infrastructure.html#module-sagace.exceptions.infrastructure">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.infrastructure.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.exceptions.interfaces.html">sagace.exceptions.interfaces package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.interfaces.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces.interface_error">sagace.exceptions.interfaces.interface_error module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.interfaces.html#module-interface-errors">Module: Interface Errors</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.interfaces.html#sagace.exceptions.interfaces.interface_error.InterfaceError"><code class="docutils literal notranslate"><span class="pre">InterfaceError</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.exceptions.interfaces.html#module-sagace.exceptions.interfaces">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.exceptions.interfaces.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-sagace.exceptions">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.exceptions" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 16:03
Created:          27/02/2025 16:03
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
      <li>Previous: <a href="sagace.core.storage.html" title="previous chapter">sagace.core.storage package</a></li>
      <li>Next: <a href="sagace.exceptions.application.html" title="next chapter">sagace.exceptions.application package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.exceptions.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>